// Function to take user input and land on grid screen in COOIS transaction
function gridExample(){
	var z_coois_msg = '';
	
	onscreen 'SAPLSMTR_NAVIGATION.0100'
		enter('/ncoois');

	onscreen 'PPIO_ENTRY.1000'
		set('F[S_WERKS-LOW]','&V[z_coois_plant]');	// Production plant
		enter('/8');
		
	onscreen 'SAPMSDYP.0010'
		set('V[z_coois_msg]','&F[MESSTXT1]');
		enter();
	
	onscreen 'PPIO_ENTRY.1000'
		if(z_coois_msg){
			message('E:'+z_coois_msg);
			enter('/n');
			goto FUNC_END;
		}
		enter('?');	
	FUNC_END:;			
}

// Function to set a flag on the Grid Display screen to avoid infinite loop on auto-enter
function executeGridSelection(){
	set('V[z_coois_selection]','X');
}

// Function to read information from Grid Details screen based on user selection on Grid Display
function readGridDetails(){
	onscreen 'SAPLCOKO1.0115'
		set('V[z_coois_status]','&F[CAUFVD-STTXT]'); 	// Status
		set('V[z_coois_totalqty]','&F[CAUFVD-GAMNG]'); 	// Total Qty
		set('V[z_coois_delivqty]','&F[CAUFVD-GWEMG]'); 	// Deliv. Qty
		enter('/n');
}